| QxOrm 1.4.7 C++ Object Relational Mapping library

- Main Page
- Modules
- Namespaces
- Classes
- Files
- Directories

- File List
- File Members

Classes | Namespaces | Typedefs | Functions
IxSqlElement.h File Reference
QxDao : QxOrm library database communication used by persistence engine (ORM - Object Relational Mapping)

Common interface for all SQL elements to build SQL query. More...

`#include <boost/serialization/serialization.hpp>`
`#include <boost/serialization/split_free.hpp>`
`#include <boost/serialization/nvp.hpp>`
`#include <QtCore/qdatastream.h>`
`#include <QtCore/qjsonvalue.h>`
`#include <QtSql/qsqlquery.h>`
`#include <QxDao/QxSqlGenerator/IxSqlGenerator.h>`
`#include <QxSerialize/Qt/QxSerialize_QList.h>`
`#include <QxSerialize/Qt/QxSerialize_QStringList.h>`
`#include <QxSerialize/Qt/QxSerialize_QVariant.h>`
`#include <QxConvert/QxConvert.h>`

Go to the source code of this file.

## Classes
class | qx::dao::detail::IxSqlElement
| qx::dao::detail::IxSqlElement : common interface for all SQL elements to build SQL query More...
## Namespaces
namespace | qx
| Root namespace for all QxOrm library features.
namespace | qx::dao
| Database communication used by persistence engine (ORM - Object Relational Mapping)
namespace | qx::dao::detail
| Internal helper tools for qx::dao namespace.
namespace | qx::cvt
| Provide global functions to convert any kind of objects to/from QString and QVariant format.
namespace | qx::cvt::detail
| Internal helper tools for qx::cvt namespace.
## Typedefs
typedef std::shared_ptr < IxSqlElement > | qx::dao::detail::IxSqlElement_ptr
## Functions
QX_DLL_EXPORT QDataStream & | operator<< (QDataStream &stream, const qx::dao::detail::IxSqlElement &t) QX_USED
QX_DLL_EXPORT QDataStream & | operator>> (QDataStream &stream, qx::dao::detail::IxSqlElement &t) QX_USED
QX_DLL_EXPORT QJsonValue | qx::cvt::detail::QxConvert_ToJson_Helper (const qx::dao::detail::IxSqlElement &t, const QString &format) QX_USED
QX_DLL_EXPORT qx_bool | qx::cvt::detail::QxConvert_FromJson_Helper (const QJsonValue &j, qx::dao::detail::IxSqlElement &t, const QString &format) QX_USED
QX_DLL_EXPORT IxSqlElement_ptr | qx::dao::detail::create_sql_element (IxSqlElement::type_class e) QX_USED

## Detailed Description

Common interface for all SQL elements to build SQL query.

Author:
  Lionel Marty

Definition in file IxSqlElement.h.

## Function Documentation

QX_DLL_EXPORT QDataStream& operator<< | ( | QDataStream & | stream,
|  | const qx::dao::detail::IxSqlElement & | t
| ) |  |

QX_DLL_EXPORT QDataStream& operator>> | ( | QDataStream & | stream,
|  | qx::dao::detail::IxSqlElement & | t
| ) |  |